Subject: bug#79240: Space inside C-strings

From: Gisle Vanem <[email-masked]>
Date: Fri, 15 Aug 2025 10:27:06 +0200

I seem that "diff --ignore-space-change file1 file2"
ignores space-changes *inside* a C-string.

Like with file-1.c:
   char strFl[7] = "  ";
   char strTt[5] = "  ";
   char strGs[5] = "  ";

and file-2.c:
   char strFl[7] = " ";
   char strTt[5] = " ";
   char strGs[5] = " ";

"diff.exe -u3 -b file-1.c file-2.c" gives nothing.

I think this case should be OK for
"--ignore-all-space", not "-b" or "--ignore-space-change".
The manual does not mention spaces inside ""-strings AFAICS.

So how can I use diff to *not* ignore spaces inside C-stings,
but ignore trailing/leading spaces? A regular expression?

-- 
--gv